Fiskil Docs

Get Balances

Returns list of banking account balances available under the authorised consent

GET
/v1/banking/balances

Returns list of banking account balances available under the authorised consent

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

A unique identifier for the Account object.

When the page[before] is specified, backwards pagination is achieved

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

fetchstring

fetch=true, combined with account_id, retrieves balance from data holder in real-time

Header Parameters

Client IP address to indicate consumer present API requests. Used when fetch=true to forward to data holder.

Client User-Agent header to indicate consumer present API requests. Used when fetch=true to forward to data holder.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/banking/balances?end_user_id=eu_23451123&account_id=acc_12345"
{  "balances": [    {      "account_id": "123456789",      "amortised_limit": "5000.00",      "arrangement_id": "90bfd779-e8eb-4e9f-87b3-5191ba7332c2",      "available_balance": "1500.00",      "credit_limit": "10000.00",      "currency": "AUD",      "current_balance": "-250.00",      "fiskil_id": "bank_balance_12345abcdef",      "institution_id": "40",      "purses": [        {          "amount": "100.00",          "currency": "USD"        }      ]    }  ],  "links": {    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}